com.microfocus.awm.meta.modelextension

## Class KeyPropertyExtension

- java.lang.Object
- - com.microfocus.awm.meta.modelextension.KeyPropertyExtension

-     public class KeyPropertyExtension
      extends java.lang.Object

  Parsed `keyProperty` model extension element. Key properties are defined under `IDDefinitionExtension`s and represent `RIDProperty`s.
  Author:
    RalfP

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyPropertyExtension(IDDefinitionExtension pIDDef, int pSequenceNumber)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IDDefinitionExtension` | `getIdDefinition()` Gets the ID definition this key property belongs to.
    `ModelPropertyExtension` | `getProperty()` Gets the referenced target property extension.
    `int` | `getSequenceNumber()` Gets the sequence number of the key property.
    `void` | `setProperty(ModelPropertyExtension pTargetProperty)` Sets the target property extension.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyPropertyExtension

          public KeyPropertyExtension(IDDefinitionExtension pIDDef,
                                      int pSequenceNumber)

      Constructor.
      Parameters:
        `pSequenceNumber` - the key property's sequence number

  - ### Method Detail

    - #### setProperty

          public void setProperty(ModelPropertyExtension pTargetProperty)

      Sets the target property extension.
      Parameters:
        `pTargetProperty` - the target property extension

    - #### getProperty

          public ModelPropertyExtension getProperty()

      Gets the referenced target property extension.
      Returns:
        the target property extension or `null`, if the reference was invalid

    - #### getSequenceNumber

          public int getSequenceNumber()

      Gets the sequence number of the key property.
      Returns:
        the sequence number

    - #### getIdDefinition

          public IDDefinitionExtension getIdDefinition()

      Gets the ID definition this key property belongs to.
      Returns:
        the parent ID definition

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2015 Micro Focus GmbH. All rights reserved.